package com.example.kdan_data_center.datacenter.file.body

import com.google.gson.annotations.SerializedName


data class SyncBody(
        @SerializedName("last_sync_time") val lastSyncTime: String,
        @SerializedName("architecture_infos") val architectureInfos: List<ArchitectureInfo>
) {

    data class ArchitectureInfo(
            @SerializedName("project_id") val projectId: String,
            @SerializedName("bucket_name") val bucketName: String,
            @SerializedName("updated_at") val updatedAt: String
    ){
        @SerializedName("prev_parent_id") val prevParentId: Int? = null
        @SerializedName("cur_parent_id") val curParentId: Int? = null
        @SerializedName("prev_name") val prevName: String? = null
        @SerializedName("cur_name") val curName: String? = null
    }
}